--- src/core/makefile.x/makefile.mac	2023-08-11 07:33:05.000000000 +0800
+++ src/core/makefile.x/makefile.mac	2023-08-20 11:37:25.000000000 +0800
@@ -1,10 +1,6 @@
 # uncomment the following to force 32-bit compilation
 # FORCE_M32=-m32
 
-### combine the two updates below (1.4.1.0)
-ifneq ($(shell sw_vers -productVersion | egrep '^(10\.(6|7|8|9|10|11|12|13|14|15)(\.[0-9]+)|1[123456789])?'),)
-SDK=$(shell xcrun --show-sdk-path)
-###
 ### update 1 (@mitchblank PR #158): fix for MacOS 11 / Big Sur
 # ifneq ($(shell sw_vers -productVersion | egrep '^(10\.(6|7|8|9|10|11|12|13|14|15)(\.[0-9]+)|1[123456789])?'),)
 # SDK=$(shell xcodebuild -sdk macosx -version | grep '^Path:' | sed 's/Path: \(.*\)/\1/')
@@ -13,12 +9,9 @@
 # SDK=$(shell xcrun --show-sdk-path)
 ###
 
-ISYSROOT=-isysroot $(SDK)
+ifneq ($(wildcard /System/Library/PrivateFrameworks/MultitouchSupport.framework),)
 LINK_EXTRAS=-F/System/Library/PrivateFrameworks \
-    -weak_framework MultitouchSupport
-else
-ISYSROOT=-isysroot /Developer/SDKs/MacOSX10.4u.sdk
-LINK_EXTRAS=
+    -framework MultitouchSupport
 endif
 
 # ifneq ($(shell which clang),)
@@ -33,13 +26,13 @@
 
 FRAMEWORKS+= CoreAudio CoreMIDI CoreFoundation IOKit Carbon AppKit Foundation
 LDFLAGS+= $(FORCE_M32) $(ISYSROOT) $(addprefix -framework ,$(FRAMEWORKS)) \
-    $(LINK_EXTRAS) -lc++ -lm
+    $(LINK_EXTRAS) -lm
 
 SF_CSRCS+= util_sndfile.c
 
 
 # this is to link properly on leopard...
-MACOSX_DEPLOYMENT_TARGET=10.9
+MACOSX_DEPLOYMENT_TARGET=@TARGET@
 export MACOSX_DEPLOYMENT_TARGET
 # option 2, add this to the gcc flags: -mmacosx-version-min=10.4
 
@@ -47,7 +40,6 @@
 # by default, ChucK uses a pre-configured libsndfile...
 # uncomment the next 3 lines to use libsndfile on your system
 #-----------------------------------------------------------------------------
-#FLAGS+= -D__CK_SNDFILE_NATIVE__
-#LIBS+= -lsndfile
-#SF_OBJ=
-
+FLAGS+= -D__CK_SNDFILE_NATIVE__
+LIBS+= -lsndfile
+SF_OBJ=
